Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionToolButton Class Reference

The QStyleOptionToolButton class is used to describe the parameters for drawing a tool button. More...

    #include <QStyleOptionToolButton>

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Public Types

- enum ToolButtonFeature { None, Arrow, TextLabel, Menu, PopupDelay, BigPixmap }
- typedef ToolButtonFeatures

### Read-Only Properties

arrowType : Qt::ArrowType features : ToolButtonFeatures font : QFont icon : QIcon | pos : QPoint text : QString textPosition : QToolButton::TextPosition

- 2 read-only properties inherited from QStyleOptionComplex
- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionToolButton ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionToolButton class is used to describe the parameters for drawing a tool button.

The QStyleOptionToolButton class is used for drawing QToolButton.

## Member Type Documentation

### enum QStyleOptionToolButton::ToolButtonFeature
typedef QStyleOptionToolButton::ToolButtonFeatures

Describes the various features that a tool button can have.

`QStyleOptionToolButton::None` | A normal tool button.
`QStyleOptionToolButton::Arrow` | The tool button is an arrow.
`QStyleOptionToolButton::TextLabel` | The tool button has a text label.
`QStyleOptionToolButton::Menu` | The tool button has a menu.
`QStyleOptionToolButton::PopupDelay` | There is a delay to showing the menu.
`QStyleOptionToolButton::BigPixmap` | The tool button uses big pixmaps.

The ToolButtonFeatures typedef can store a combination of ToolButtonFeature values.

See also features, QToolButton::usesTextLabel(), QToolButton::popupDelay(), and QToolButton::usesBigPixmap().

## Property Documentation

### arrowType : Qt::ArrowType

This property holds the direction of the arrow for the tool button.

This value is only used if features includes Arrow.

### features : ToolButtonFeatures

This property holds the features of the tool button.

This variable is a bitwise OR describing the features of the button.

See also ToolButtonFeature.

### font : QFont

This property holds the font that is used for the text.

This value is only used if features includes TextLabel.

### icon : QIcon

This property holds the icon for the tool button.

### pos : QPoint

This property holds the position of the tool button.

### text : QString

This property holds the text of the tool button.

This value is only used if features includes TextLabel.

### textPosition : QToolButton::TextPosition

This property holds the position of the text in the tool button.

This value is only used if features includes TextLabel.

## Member Function Documentation

### QStyleOptionToolButton::QStyleOptionToolButton ()

Constructs a QStyleOptionToolButton. The members variables are initialized to default values.